# Serialized Form

## Package org.jboss.logmanager

### Class org.jboss.logmanager.ExtLogRecord

class ExtLogRecord extends LogRecord implements Serializable

serialVersionUID:
  -9174374711278052369L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream ois) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream oos) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### formatStyle

    ExtLogRecord.FormatStyle formatStyle

##### formattedMessage

    String formattedMessage

##### hostName

    String hostName

##### mdcCopy

    org.jboss.logmanager.FastCopyHashMap<String,Object> mdcCopy

##### ndc

    String ndc

##### processId

    long processId

##### processName

    String processName

##### resourceKey

    String resourceKey

##### sourceFileName

    String sourceFileName

##### sourceLineNumber

    int sourceLineNumber

##### sourceModuleName

    String sourceModuleName

##### sourceModuleVersion

    String sourceModuleVersion

##### threadName

    String threadName

### Class org.jboss.logmanager.Level

class Level extends Level implements Serializable

serialVersionUID:
  491981186783136939L

### Class org.jboss.logmanager.Logger

class Logger extends Logger implements Serializable

serialVersionUID:
  5093333069125075416L

#### Serialization Methods

##### writeReplace

protected final Object writeReplace() throws ObjectStreamException

Throws:
  `ObjectStreamException`

#### Serialized Fields

##### loggerNode

    org.jboss.logmanager.LoggerNode loggerNode

The named logger tree node.

### Class org.jboss.logmanager.SerializedLogger

class SerializedLogger extends Object implements Serializable

serialVersionUID:
  8266206989821750874L

#### Serialization Methods

##### readResolve

public Object readResolve()
Get the actual logger for this marker.

See Also:
  - Serialization spec, 3.7

#### Serialized Fields

##### name

    String name